Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79635 - broken source code
Summary: broken source code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: efax
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-14 10:28 UTC by d.binderman
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-05-20 12:42:55 UTC


Attachments (Terms of Use)

Description d.binderman 2002-12-14 10:28:20 UTC
Description of problem:

Hello there,

I just tried to compile package efax-0.9-16 from Redhat 8.0.

Here are some of the compiler messages.

efax.c:763: warning: operation on `rd_state' may be undefined

Here is a patch which shuts up the compiler.

*** ./efax.c.old	2002-11-25 11:31:51.000000000 +0000
--- ./efax.c	2002-11-25 11:32:24.000000000 +0000
***************
*** 759,765 ****
  	c = tgetd ( f, TO_CHAR ) ;
  
  	rd_state = ( rd_state & rd_allowed[c] ) ?
! 	  ( ( rd_state & rd_nexts[c] ) ? rd_state <<= 1 : rd_state ) : 
  	  RD_BEGIN ;
  
  	if ( rd_state == RD_END )
--- 759,765 ----
  	c = tgetd ( f, TO_CHAR ) ;
  
  	rd_state = ( rd_state & rd_allowed[c] ) ?
! 	  ( ( rd_state & rd_nexts[c] ) ? rd_state << 1 : rd_state ) : 
  	  RD_BEGIN ;
  
  	if ( rd_state == RD_END )


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:

Comment 1 Ngo Than 2003-05-20 12:42:55 UTC
it's fixed in 0.9-18. thanks for your patch file


Note You need to log in before you can comment on or make changes to this bug.